---
title: Server Blocked Status
summary: Get the Mojang blocked status of a Minecraft server.
---

# Overview

The server blocked status endpoint allows you to get the Mojang blocked status of a Minecraft server.

## Endpoint

```
GET /server/blocked/:query
```

## Platforms

This endpoint is only available for Java servers.

## Parameters

| Parameter | Description                                                   | Required |
|-----------|---------------------------------------------------------------|----------|
| query     | The IP address or hostname of the server you want to look up. | Yes      |

## Example

```bash
curl -X GET "https://api.mcutils.xyz/server/blocked/play.hypixel.net"
```

## Response

```json
{
  "blocked": false
}
```

## Errors

| Status Code | Description                                   |
|-------------|-----------------------------------------------|
| 400         | The server was not found.                     |
| 429         | The Mojang API rate limit has been exhausted. |